Package org.apache.naming

## Class ContextAccessController

- java.lang.Object
- - org.apache.naming.ContextAccessController

    public class ContextAccessController
    extends java.lang.Object

Handles the access control on the JNDI contexts.

Author:
  Remy Maucherat

### Constructor Summary

Constructors
`ContextAccessController()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `checkSecurityToken​(java.lang.Object name, java.lang.Object token)` Check a submitted security token.
`static boolean` `isWritable​(java.lang.Object name)` Is the context is writable?
`static void` `setReadOnly​(java.lang.Object name)` Set whether or not a Catalina context is writable.
`static void` `setSecurityToken​(java.lang.Object name, java.lang.Object token)` Set a security token for a Catalina context.
`static void` `setWritable​(java.lang.Object name, java.lang.Object token)` Allow writing to a context.
`static void` `unsetSecurityToken​(java.lang.Object name, java.lang.Object token)` Remove a security token for a context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextAccessController

    public ContextAccessController()

### Method Detail

#### setSecurityToken

    public static void setSecurityToken​(java.lang.Object name,
                                        java.lang.Object token)

Set a security token for a Catalina context. Can be set only once.

Parameters:
  `name` - Name of the Catalina context
  `token` - Security token

#### unsetSecurityToken

    public static void unsetSecurityToken​(java.lang.Object name,
                                          java.lang.Object token)

Remove a security token for a context.

Parameters:
  `name` - Name of the Catalina context
  `token` - Security token

#### checkSecurityToken

    public static boolean checkSecurityToken​(java.lang.Object name,
                                             java.lang.Object token)

Check a submitted security token.

Parameters:
  `name` - Name of the Catalina context
  `token` - Submitted security token
Returns:
  `true` if the submitted token is equal to the token in the repository or if no token is present in the repository. Otherwise, `false`

#### setWritable

    public static void setWritable​(java.lang.Object name,
                                   java.lang.Object token)

Allow writing to a context.

Parameters:
  `name` - Name of the Catalina context
  `token` - Security token

#### setReadOnly

    public static void setReadOnly​(java.lang.Object name)

Set whether or not a Catalina context is writable.

Parameters:
  `name` - Name of the Catalina context

#### isWritable

    public static boolean isWritable​(java.lang.Object name)

Is the context is writable?

Parameters:
  `name` - Name of the Catalina context
Returns:
  `true` if it is writable, otherwise `false`